diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NameTypeDesignationElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NameTypeDesignationElement.java
index 4c489d62d..f5d66bfc0 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NameTypeDesignationElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NameTypeDesignationElement.java
@@ -14,10 +14,10 @@ import org.apache.log4j.Logger;
 import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.name.NameTypeDesignation;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.CheckboxElement;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.selection.NameSelectionElement;
@@ -48,7 +48,7 @@ public class NameTypeDesignationElement extends
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param section
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection}
@@ -61,7 +61,7 @@ public class NameTypeDesignationElement extends
 	 * @param style
 	 *            a int.
 	 */
-	public NameTypeDesignationElement(CdmFormFactory formFactory,
+	public NameTypeDesignationElement(CdmFormFactoryFacade formFactory,
 			AbstractFormSection section, NameTypeDesignation entity,
 			SelectionListener removeListener, int style) {
 		super(formFactory, section, entity, removeListener, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NomenclaturalStatusElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NomenclaturalStatusElement.java
index 11c43a75f..609a70523 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NomenclaturalStatusElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NomenclaturalStatusElement.java
@@ -14,10 +14,10 @@ import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatus;
 import eu.etaxonomy.cdm.model.name.NomenclaturalStatusType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.IEntityElement;
 import eu.etaxonomy.taxeditor.ui.forms.ISelectableElement;
@@ -47,9 +47,9 @@ public class NomenclaturalStatusElement extends AbstractReferencedEntityElement<
 	 * @param element a {@link eu.etaxonomy.cdm.model.name.NomenclaturalStatus} object.
 	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 */
-	public NomenclaturalStatusElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement,
+	public NomenclaturalStatusElement(CdmFormFactoryFacade cdmFormFactory, AbstractFormSection formElement,
 			NomenclaturalStatus element, SelectionListener removeListener, int style) {
 		super(cdmFormFactory, formElement, element, removeListener, style);
 		selectionArbitrator = cdmFormFactory.createSelectionArbitrator(this);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NomenclaturalStatusSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NomenclaturalStatusSection.java
index 1a8d5a05c..847276903 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NomenclaturalStatusSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NomenclaturalStatusSection.java
@@ -18,7 +18,7 @@ import eu.etaxonomy.cdm.model.name.NomenclaturalStatus;
 import eu.etaxonomy.cdm.model.name.NonViralName;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 import eu.etaxonomy.taxeditor.ui.section.ITaxonBaseDetailSection;
@@ -39,10 +39,10 @@ public class NomenclaturalStatusSection extends AbstractEntityCollectionSection<
 	 *
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 */
-	public NomenclaturalStatusSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement,
+	public NomenclaturalStatusSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement,
 			int style) {
 		super(cdmFormFactory, conversation, parentElement, "Nomenclatural Status", style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailElement.java
index d15dd2eb8..a4f54a31c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailElement.java
@@ -15,9 +15,9 @@ import java.util.Arrays;
 import org.eclipse.ui.forms.widgets.Section;
 
 import eu.etaxonomy.cdm.model.name.NonViralName;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.EnumComboType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.EnumComboType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 import eu.etaxonomy.taxeditor.ui.section.AbstractIdentifiableEntityDetailElement;
@@ -46,13 +46,13 @@ public class NonViralNameDetailElement extends
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param formElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
 	 *            object.
 	 */
-	public NonViralNameDetailElement(CdmFormFactory formFactory,
+	public NonViralNameDetailElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement) {
 		super(formFactory, formElement);
 	}
@@ -82,21 +82,21 @@ public class NonViralNameDetailElement extends
 		section_name = (NameDetailSection) formFactory.createCdmDetailSection(
 				DetailType.SCIENTIFICNAME, getConversationHolder(),
 				formElement, null, Section.TWISTIE | Section.EXPANDED);
-		section_name.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2, 1));
+		section_name.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY(2, 1));
 		addControl(section_name);
 		addElement(section_name);
 		section_author = (AuthorshipDetailSection) formFactory
 				.createCdmDetailSection(DetailType.AUTHORSHIP,
 						getConversationHolder(), formElement, null,
 						Section.TWISTIE | Section.EXPANDED);
-		section_author.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2, 1));
+		section_author.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY(2, 1));
 		addControl(section_author);
 		addElement(section_author);
 		
 		section_hybrid = (HybridDetailSection) formFactory.createCdmDetailSection(DetailType.HYBRID, 
 						getConversationHolder(), formElement, null, 
 						Section.TWISTIE);
-		section_hybrid.setLayoutData(CdmFormFactory.FILL_HORIZONTALLY(2, 1));
+		section_hybrid.setLayoutData(CdmFormFactoryFacade.FILL_HORIZONTALLY(2, 1));
 		addControl(section_hybrid);
 		addElement(section_hybrid);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailSection.java
index 3271866ff..89fda237a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameDetailSection.java
@@ -20,11 +20,11 @@ import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
 import eu.etaxonomy.cdm.model.name.NonViralName;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailSection;
 import eu.etaxonomy.taxeditor.ui.section.ITaxonBaseDetailSection;
 
@@ -43,13 +43,13 @@ public class NonViralNameDetailSection extends AbstractCdmDetailSection<NonViral
 	/**
 	 * <p>Constructor for NonViralNameDetailSection.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param selectionProvider a {@link org.eclipse.jface.viewers.ISelectionProvider} object.
 	 * @param style a int.
 	 */
-	public NonViralNameDetailSection(CdmFormFactory formFactory, ConversationHolder conversation,
+	public NonViralNameDetailSection(CdmFormFactoryFacade formFactory, ConversationHolder conversation,
 			ICdmFormElement parentElement, ISelectionProvider selectionProvider, int style) {
 		super(formFactory, conversation, parentElement, selectionProvider, style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameWizardPage.java
index a6c52e0ac..89b55e4dd 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/NonViralNameWizardPage.java
@@ -15,10 +15,10 @@ import org.eclipse.swt.SWT;
 
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.model.name.NonViralName;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.DetailType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractCdmEntityWizardPage;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.DetailType;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
 
 /**
@@ -38,11 +38,11 @@ public class NonViralNameWizardPage extends AbstractCdmEntityWizardPage<NonViral
 	/**
 	 * <p>Constructor for NonViralNameWizardPage.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param entity a {@link eu.etaxonomy.cdm.model.name.NonViralName} object.
 	 */
-	public NonViralNameWizardPage(CdmFormFactory formFactory, ConversationHolder conversation,
+	public NonViralNameWizardPage(CdmFormFactoryFacade formFactory, ConversationHolder conversation,
 			NonViralName entity) {
 		super(formFactory, conversation, entity);
 		setTitle("Name");
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/ProtologueElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/ProtologueElement.java
index 55f560f35..ef6f54515 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/ProtologueElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/ProtologueElement.java
@@ -22,10 +22,10 @@ import eu.etaxonomy.cdm.model.media.MediaRepresentation;
 import eu.etaxonomy.cdm.model.media.MediaRepresentationPart;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.reference.Reference;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
 import eu.etaxonomy.taxeditor.store.StoreUtil;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.CdmPropertyChangeEvent;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.ISelectableElement;
@@ -58,10 +58,10 @@ public class ProtologueElement extends AbstractEntityCollectionElement<Descripti
 	 * @param element a {@link eu.etaxonomy.cdm.model.description.DescriptionElementBase} object.
 	 * @param removeListener a {@link org.eclipse.swt.events.SelectionListener} object.
 	 * @param style a int.
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param formElement a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection} object.
 	 */
-	public ProtologueElement(CdmFormFactory cdmFormFactory, AbstractFormSection formElement, DescriptionElementBase element,
+	public ProtologueElement(CdmFormFactoryFacade cdmFormFactory, AbstractFormSection formElement, DescriptionElementBase element,
 			SelectionListener removeListener, int style) {
 		super(cdmFormFactory, formElement, element, removeListener, null, style);
 		selectionArbitrator = cdmFormFactory.createSelectionArbitrator(this);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/ProtologueSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/ProtologueSection.java
index 80dee4def..54f0bf6d1 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/ProtologueSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/ProtologueSection.java
@@ -21,7 +21,7 @@ import eu.etaxonomy.cdm.model.description.TextData;
 import eu.etaxonomy.cdm.model.name.NonViralName;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 import eu.etaxonomy.taxeditor.ui.section.ITaxonBaseDetailSection;
@@ -40,12 +40,12 @@ public class ProtologueSection extends AbstractEntityCollectionSection<TaxonName
 	/**
 	 * <p>Constructor for ProtologueSection.</p>
 	 *
-	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param cdmFormFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 */
-	public ProtologueSection(CdmFormFactory cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
+	public ProtologueSection(CdmFormFactoryFacade cdmFormFactory, ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(cdmFormFactory, conversation, parentElement, "Protologues", style);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/SpecimenTypeDesignationElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/SpecimenTypeDesignationElement.java
index 5b2084e8c..c324e8552 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/SpecimenTypeDesignationElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/SpecimenTypeDesignationElement.java
@@ -16,11 +16,11 @@ import eu.etaxonomy.cdm.hibernate.HibernateProxyHelper;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignationStatus;
 import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.TermComboType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.selection.DerivedUnitBaseSelectionElement;
 import eu.etaxonomy.taxeditor.ui.term.SpecimenTypeDesignationStatusComboElement;
@@ -47,7 +47,7 @@ public class SpecimenTypeDesignationElement extends
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param section
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection}
@@ -60,7 +60,7 @@ public class SpecimenTypeDesignationElement extends
 	 * @param style
 	 *            a int.
 	 */
-	public SpecimenTypeDesignationElement(CdmFormFactory formFactory,
+	public SpecimenTypeDesignationElement(CdmFormFactoryFacade formFactory,
 			AbstractFormSection section, SpecimenTypeDesignation entity,
 			SelectionListener removeListener, int style) {
 		super(formFactory, section, entity, removeListener, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/TypeDesignationSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/TypeDesignationSection.java
index 8b40d8a0b..27f0fd302 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/TypeDesignationSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/name/TypeDesignationSection.java
@@ -21,7 +21,7 @@ import eu.etaxonomy.cdm.model.name.SpecimenTypeDesignation;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.name.TypeDesignationBase;
 import eu.etaxonomy.cdm.model.taxon.TaxonBase;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 import eu.etaxonomy.taxeditor.ui.section.ITaxonBaseDetailSection;
@@ -40,12 +40,12 @@ public class TypeDesignationSection extends AbstractEntityCollectionSection<Taxo
 	/**
 	 * <p>Constructor for TypeDesignationSection.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
 	 */
-	public TypeDesignationSection(CdmFormFactory formFactory, ConversationHolder conversation,
+	public TypeDesignationSection(CdmFormFactoryFacade formFactory, ConversationHolder conversation,
 			ICdmFormElement parentElement, int style) {
 		super(formFactory, conversation, parentElement, "Type Designations", style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/AbstractDeterminationEventDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/AbstractDeterminationEventDetailSection.java
index caaa50eb5..ab71af784 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/AbstractDeterminationEventDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/AbstractDeterminationEventDetailSection.java
@@ -13,7 +13,7 @@ package eu.etaxonomy.taxeditor.ui.section.occurrence;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
 import eu.etaxonomy.cdm.model.occurrence.DeterminationEvent;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -34,7 +34,7 @@ public abstract class AbstractDeterminationEventDetailSection extends
 	 * @param title
 	 * @param style
 	 */
-	public AbstractDeterminationEventDetailSection(CdmFormFactory formFactory,
+	public AbstractDeterminationEventDetailSection(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement,
 			String title, int style) {
 		super(formFactory, conversation, parentElement, title, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/AbstractEventDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/AbstractEventDetailElement.java
index 0a364de5b..8828ddc7a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/AbstractEventDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/AbstractEventDetailElement.java
@@ -13,10 +13,10 @@ package eu.etaxonomy.taxeditor.ui.section.occurrence;
 import org.eclipse.swt.events.SelectionListener;
 
 import eu.etaxonomy.cdm.model.common.EventBase;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.TimePeriodElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionElement;
@@ -44,7 +44,7 @@ public abstract class AbstractEventDetailElement<T extends EventBase> extends
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param section
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.AbstractFormSection}
@@ -58,7 +58,7 @@ public abstract class AbstractEventDetailElement<T extends EventBase> extends
 	 * @param <T>
 	 *            a T object.
 	 */
-	public AbstractEventDetailElement(CdmFormFactory formFactory,
+	public AbstractEventDetailElement(CdmFormFactoryFacade formFactory,
 			AbstractFormSection section, T entity,
 			SelectionListener removeListener, int style) {
 		super(formFactory, section, entity, removeListener, null, style);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/CollectingAreasDetailSection.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/CollectingAreasDetailSection.java
index 98c342a03..743ec6a0a 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/CollectingAreasDetailSection.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/CollectingAreasDetailSection.java
@@ -15,8 +15,8 @@ import java.util.Collection;
 import eu.etaxonomy.cdm.api.conversation.ConversationHolder;
 import eu.etaxonomy.cdm.api.facade.DerivedUnitFacade;
 import eu.etaxonomy.cdm.model.location.NamedArea;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.ui.dialogs.filteredSelection.NamedAreaSelectionDialog;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractEntityCollectionSection;
 
@@ -33,12 +33,12 @@ public class CollectingAreasDetailSection extends
 	/**
 	 * <p>Constructor for CollectingAreasDetailSection.</p>
 	 *
-	 * @param formFactory a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory} object.
+	 * @param formFactory a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade} object.
 	 * @param conversation a {@link eu.etaxonomy.cdm.api.conversation.ConversationHolder} object.
 	 * @param parentElement a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement} object.
 	 * @param style a int.
 	 */
-	public CollectingAreasDetailSection(CdmFormFactory formFactory,
+	public CollectingAreasDetailSection(CdmFormFactoryFacade formFactory,
 			ConversationHolder conversation, ICdmFormElement parentElement, int style) {
 		super(formFactory, conversation, parentElement, "Collecting Areas", style);
 	}
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/CollectionDetailElement.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/CollectionDetailElement.java
index 3e0e84f69..29140687c 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/CollectionDetailElement.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/ui/section/occurrence/CollectionDetailElement.java
@@ -11,9 +11,9 @@
 package eu.etaxonomy.taxeditor.ui.section.occurrence;
 
 import eu.etaxonomy.cdm.model.occurrence.Collection;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade;
 import eu.etaxonomy.taxeditor.singlesource.ui.forms.TextWithLabelElementFacade;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory;
-import eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory.SelectionType;
+import eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade.SelectionType;
 import eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement;
 import eu.etaxonomy.taxeditor.ui.forms.ToggleableTextElement;
 import eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement;
@@ -52,13 +52,13 @@ public class CollectionDetailElement extends
 	 * </p>
 	 * 
 	 * @param formFactory
-	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.CdmFormFactory}
+	 *            a {@link eu.etaxonomy.taxeditor.singlesource.ui.forms.CdmFormFactoryFacade}
 	 *            object.
 	 * @param formElement
 	 *            a {@link eu.etaxonomy.taxeditor.ui.forms.ICdmFormElement}
 	 *            object.
 	 */
-	public CollectionDetailElement(CdmFormFactory formFactory,
+	public CollectionDetailElement(CdmFormFactoryFacade formFactory,
 			ICdmFormElement formElement) {
 		super(formFactory, formElement);
 	}
